unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  ExtCtrls, IniFiles;

type

  { TForm1 }

  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Timer1: TTimer;
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure Label1Click(Sender: TObject);
    procedure Label2Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);

  private

  public

  end;

var
  Form1: TForm1;

  NrIni            : TMemInifile;
  appINI           : TIniFile;


implementation

{$R *.lfm}


procedure TForm1.Timer1Timer(Sender: TObject);
begin
  Label1.Caption:= TimeToStr(Now);
  label2.Caption:= DateToStr(Now);
end;

procedure TForm1.Label2Click(Sender: TObject);
begin
  BorderStyle := bsNone;
end;


procedure TForm1.Label1Click(Sender: TObject);
begin
  BorderStyle := bsToolWindow;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
appINI := TIniFile.Create(ChangeFileExt(Application.ExeName,'.ini')) ;
  try
    Top    := appINI.ReadInteger('Placement','Top', Top) ;
    Left   := appINI.ReadInteger('Placement','Left', Left);
    Width  := appINI.ReadInteger('Placement','Width', Width);
    Height := appINI.ReadInteger('Placement','Height', Height);
  finally
    appINI.Free;
  end;
end;

procedure TForm1.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
  appINI := TIniFile.Create(ChangeFileExt(application.ExeName,'.ini')) ;
  try
  with appINI, Form1 do
    begin
      WriteInteger('Placement','Top', Top) ;
      WriteInteger('Placement','Left', Left) ;
      WriteInteger('Placement','Width', Width) ;
      WriteInteger('Placement','Height', Height) ;
    end;
  finally
    appIni.Free;
  end;
end;

end.

